Subject: Re: [xmpp] I-D Action:draft-ietf-xmpp-3920bis-16.txt

From: Peter Saint-Andre <[email-masked]>
Date: Tue, 12 Oct 2010 09:04:43 -0600

[cc'ing [email-masked] for full disclosure]

On 10/11/10 1:27 PM, Philipp Hancke wrote:
> Am 24.09.2010 22:01, schrieb Peter Saint-Andre:
>> On 9/24/10 1:29 PM, Philipp Hancke wrote:
>>> You might replace the handwaving in the implementation note in 4.3 with
>>> a reference if you get the XMPP Editor to assign a XEP number to the
>>> bidi thing.
>>
>> Good point, I'll do that once a XEP number is assigned.
> 
> The current text about that in -17 sounds... strange - mostly because of
> the out-of-scope stuff which imo is obsolete because we have the reference.
> 
> What about:
>       Implementation Note: For historical reasons, a server-to-server
>       session always uses two TCP connections. While that approach
>       remains the standard behaviour described in this document,
>       extensions such as [XEP-0288] allow servers to negotiate the use
>       of a single TCP connection for bidirectional stanza exchange.

Yes, that's better -- I've updated my working copy. Thanks for the
proposed text.

/psa